package jp.ac.nii.icpc2010.players;

import jp.ac.nii.icpc2010.players.AbstractPlayer;
import jp.ac.nii.icpc2010.playfield.FieldDirection;
import jp.ac.nii.icpc2010.playfield.IPlayField;

public class SuicidePlayer extends AbstractPlayer {
	private int moveCount = 0;

	public SuicidePlayer(int id, IPlayField playField) {
		super(id, playField);
	}

	@Override
	public FieldDirection getInput() {
		return moveCount++ < 2 ? FieldDirection.Up : FieldDirection.Down;
	}

}
